import { defineComponent as g, mergeModels as p, useModel as b, createElementBlock as f, openBlock as y, Fragment as V, createVNode as o, unref as t, withCtx as u } from "vue";
import { useI18n as h } from "vue-i18n";
import { c as r, d as m, e as c } from "./start-CE9SawgU.js";
import "pinia";
import "./header-Bn1EKnBE.js";
import { _ as v } from "./DatahubBadWordFilter-ifJn2ov6.js";
const L = /* @__PURE__ */ g({
  __name: "DatahubDataTypeStringValueConfiguration",
  props: /* @__PURE__ */ p({
    attribute: {},
    dataTypeInstance: {},
    remoteScopes: {},
    remoteLanguages: {},
    remoteAttributes: {},
    readonly: { type: Boolean }
  }, {
    modelValue: {},
    modelModifiers: {}
  }),
  emits: ["update:modelValue"],
  setup(i) {
    const e = b(i, "modelValue", {
      set: ({ max: l, min: a, ...n }) => ({
        max: Number(l),
        min: Number(a),
        ...n
      })
    }), { t: d } = h();
    return (l, a) => (y(), f(V, null, [
      o(t(r), null, {
        default: u(() => [
          o(t(m), {
            modelValue: e.value.min,
            "onUpdate:modelValue": a[0] || (a[0] = (n) => e.value.min = n),
            modelModifiers: { number: !0 },
            label: t(d)("datahub-plugin.stringValue.minLength"),
            type: "number",
            readonly: l.readonly,
            "persistent-placeholder": ""
          }, null, 8, ["modelValue", "label", "readonly"])
        ]),
        _: 1
      }),
      o(t(r), null, {
        default: u(() => [
          o(t(m), {
            modelValue: e.value.max,
            "onUpdate:modelValue": a[1] || (a[1] = (n) => e.value.max = n),
            modelModifiers: { number: !0 },
            label: t(d)("datahub-plugin.stringValue.maxLength"),
            type: "number",
            readonly: l.readonly,
            "persistent-placeholder": ""
          }, null, 8, ["modelValue", "label", "readonly"])
        ]),
        _: 1
      }),
      o(t(r), null, {
        default: u(() => [
          o(t(m), {
            modelValue: e.value.regex,
            "onUpdate:modelValue": a[2] || (a[2] = (n) => e.value.regex = n),
            label: t(d)("datahub-plugin.stringValue.regex"),
            readonly: l.readonly,
            "persistent-placeholder": ""
          }, null, 8, ["modelValue", "label", "readonly"])
        ]),
        _: 1
      }),
      o(t(r), null, {
        default: u(() => [
          o(t(c), {
            modelValue: e.value.readOnly,
            "onUpdate:modelValue": a[3] || (a[3] = (n) => e.value.readOnly = n),
            label: l.$t("datahub-ui.dh-table.readOnly"),
            readonly: l.readonly
          }, null, 8, ["modelValue", "label", "readonly"])
        ]),
        _: 1
      }),
      o(v, {
        modelValue: e.value.badwords,
        "onUpdate:modelValue": a[4] || (a[4] = (n) => e.value.badwords = n),
        scopable: l.attribute?.scopable ?? l.dataTypeInstance.scopable,
        "remote-scopes": l.remoteScopes,
        "multi-language": l.attribute?.multilanguage ?? l.dataTypeInstance.multilanguage,
        "remote-languages": l.remoteLanguages,
        readonly: l.readonly
      }, null, 8, ["modelValue", "scopable", "remote-scopes", "multi-language", "remote-languages", "readonly"])
    ], 64));
  }
});
function s(i) {
  const e = i;
  e.__i18n = e.__i18n || [], e.__i18n.push({
    locale: "",
    resource: {
      "en-US": {
        "datahub-plugin": {
          stringValue: {
            configurationHeading: { t: 0, b: { t: 2, i: [{ t: 3 }], s: "Configuration" } },
            precision: { t: 0, b: { t: 2, i: [{ t: 3 }], s: "Precision" } },
            minLength: { t: 0, b: { t: 2, i: [{ t: 3 }], s: "Min. length" } },
            maxLength: { t: 0, b: { t: 2, i: [{ t: 3 }], s: "Max. length" } },
            regex: { t: 0, b: { t: 2, i: [{ t: 3 }], s: "Regex" } }
          }
        }
      },
      "de-DE": {
        "datahub-plugin": {
          stringValue: {
            configurationHeading: { t: 0, b: { t: 2, i: [{ t: 3 }], s: "Konfiguration" } },
            precision: { t: 0, b: { t: 2, i: [{ t: 3 }], s: "Genauigkeit (Nachkommastellen)" } },
            minLength: { t: 0, b: { t: 2, i: [{ t: 3 }], s: "Min. Länge" } },
            maxLength: { t: 0, b: { t: 2, i: [{ t: 3 }], s: "Max. Länge" } },
            regex: { t: 0, b: { t: 2, i: [{ t: 3 }], s: "Regulärer Ausdruck (Regex)" } }
          }
        }
      }
    }
  });
}
typeof s == "function" && s(L);
export {
  L as default
};
